Subject: [[email-masked]: Com port naming]

From: "Joseph R. Massi" <[email-masked]>
Date: Tue, 31 Mar 92 16:42:54 -0500

From: [email-masked] (Paul Lalonde)
Date: Tue, 31 Mar 92 11:53:30 EST
To: [email-masked]
Subject: Com port naming

Paul writes:
	Ted writes:
	>As for zero based versus one based for the serial ports, I would make
	>the argument that (for better or for worse) due to long association with
	>MS-DOS the hardware ports for the "first" serial port and the "second"
	>serial port are COM1 and COM2.  While renumbering them to be zero based
	>may be the Unix Way, I think that it will cause way to much confusion.
	>I would much rather see /dev/ttys1, /dev/ttys2, /dev/ttys3, and
	>/dev/ttys4 for COM1, COM2, COM3, and COM4, respectively.

	I much prefer zero based ports.  Dos is brain-dead and I see no reason
	to keep it that way.  Even the boards are labelled 0 and 1 (at least on
	my box).  So use /dev/ttys[0-3], and make links to /dev/com[1-4] if
	you need them.  Or even put the existence of the links in the standard
	if you feel very stronly about them.  But /dev/ttys[1-4] is just too
	much of a nasty hybrid.

I write:

The argument that we follow the dos conventions is a powerful one, but
we are working on a unix system, not a dos system.  Even the PC BIOS
zero-bases the com port numbers.  I think the naming should be simple
and constistent with commercial unix systems.  A super-user can always
create additional nodes with dos-like names (eg. /dev/com1) if he/she
wants to.  I wouldn't, and I don't think the standard should.

joe.

P.S. I didn't participate in the full discussion of the directory
tree, but boy, this isn't easy...

joe.
-------------------------------------------------------------------------------
Joe Massi               e-mail: [email-masked]
Columbia, MD      packet radio: [email-masked]...  
              USnail/Phone/Fax: ask
                    disclaimer: Who me? Claim something?